APT-CONFIG(8)

NOM
apt-config - Programme pour interroger la configuration de APT

SYNOPSIS

apt-config [-hv] [-o=option de configuration] [-c=fichier] {[shell] | [dump]}

DESCRIPTION

apt-config est un programme interne utilisé par différentes composantes d'APT ; il offre la possibilité d'une configuration cohérente et permet aux applications conçues sous forme de script une utilisation simple du fichier de configuration principal /etc/apt/apt.conf.

À moins que l'option -h ou --help ne soit donnée, l'une des commandes suivantes doit être présente.

shell
    Le terme shell est utilisé pour accéder aux informations de configuration depuis un script shell. Deux arguments doivent lui être donnés ; le premier est une variable du shell et le second une valeur de configuration à demander. La sortie standard consiste en une liste de commandes d'assignation de shell pour chaque valeur présente. Dans un script shell, cette commande devrait être utilisée comme suit :

        OPTS="-f"
        RES=`apt-config shell OPTS MyApp::Options`
        eval $RES
    La variable d'environnement du shell $OPTS sera définie par la valeur de MyApp::Options ou, par défaut, la valeur -f.

    L'élément de configuration peut être suivi par /[fdbi]. « f » renvoie un nom de fichier, « d » un nom de répertoire, « b » renvoie « true » ou « false » et « i » renvoie un entier. Chacune de ses valeurs est normalisée et vérifiée.

dump
    Affiche seulement le contenu de l'espace de configuration.

OPTIONS

Toutes les options en ligne de commande peuvent être positionnées via le fichier de configuration ; les descriptifs indiquent l'option de configuration à positionner. En ce qui concerne les options booléennes, on peut annuler le fichier de configuration en utilisant quelque chose comme -f-,--no-f, -f=no ou d'autres variantes.

-h, --help
    Affiche un mode d'emploi succinct.

-v, --version
    Affiche la version du programme.

-c, --config-file
    Fichier de configuration ; indique quel fichier de configuration utiliser. Le programme lit le fichier de configuration par défaut, puis celui-ci. Voyez apt.conf(5) pour la syntaxe.

-o, --option
    Donne une option de configuration ; cela fixe une option de configuration arbitraire. La syntaxe est : -o Foo::Bar=bar.

VOIR AUSSI

apt.conf(5)

DIAGNOSTICS

apt-config retourne zéro après un déroulement normal, et le nombre 100 en cas d'erreur.

BOGUES

Voyez la page concernant les bogues d'APT[1]. Si vous voulez signaler un bogue, consultez le texte /usr/share/doc/debian/bug-reporting.txt ou utilisez la commande reportbug(1).

TRADUCTION

Jérôme Marant. 2000 ; mise à jour : Philippe Batailler. 2005. <debian-l10n-french@lists.debian.org>.

AUTHORS

Jason Gunthorpe

    Auteur.

APT team

    Auteur.

REFERENCES

1.  page concernant les bogues d'APT
    http://bugs.debian.org/src:apt